Search
Upload
Modify/Delete

flag more
language Engilsh
language 中文
language 한국어
language Deutsch
language 日本語
language Русский
language Español
language Français
language Italiano
language Português
language polski
language Tiếng Việt
menu
menu_close
Join

Search
Upload
Modify/Delete

menu_language Engilsh
menu_language 中文
menu_language 한국어
menu_language Deutsch
menu_language 日本語
menu_language Русский
menu_language Español
menu_language Français
menu_language Italiano
menu_language Português
menu_language polski
menu_language Tiếng Việt
RFC3 Search results
Supplier
LENBER ELECTRONICS INTERNATIONAL MicrotranikComponents,Inc Evatronix(HK) Electronics Trade Inc Transcrui Microcircuit Corporation NegoICCo. European Union IC Industry Co. Timicomm Electronics Limited Semilex Electronics ANRIC Int'l Electronics Limited IC Agent Electronics Ins Germany Electroince Distributor GmbH Arrow Global Co.,Ltd ANRIC ELECTRONICS CO.,LTD. RENXIM Electronics Inc Microtranik_Components.,Inc TIMICOMM ELECTRONICS LIMITED UnitronixElectronics FEDERAL INDUSTRY CO. Renxim Electronic Limited. RENXIM Electronics Co.,Ltd. SemiLex Electronics Inc. LEOSNA IC TRADING CO. MAINtron Electronics Co.,Ltd. IC INTERNATIONAL TRADING CO. MAINtron Electronics Limited.
Premium A
Element14
Part # Mfg Datasheet Description RoHS Q'ty Price Buy Now
RFC3-3S
<b>RFC3</b>-3S
IMO PRECISION CONTROLS RFC3-3S datasheet FILTER, 1 PHASE, 3A, 230V; Current Rating:3A; Voltage Rating:230V; Filter Type:1 Phase; Filter Termi ROHS COMPLIANT 1+ : $20.99
10+ : $17.62
20+ : $16.03
Buy Now
RFC3-3S buy now
Premium B
info
FEDERAL INDUSTRY CO.
Singapore
Tess@sunnlyic.com
Part # Mfg Datasheet Description Q'ty Datacode Location Reg Date RFQ
RFC3 See all 2 items N/A RFC3 datasheet Originalnew 33550 2016 Instock 26-11-04
Inquiry
RFC3 inquiry
RFC3K See all 2 items N/A RFC3K datasheet Originalnew 33550 2016 Instock 26-11-04
Inquiry
RFC3K inquiry
info
IC Agent Electronics Ins
USA
Kevin@ic-agent.com
Part # Mfg Datasheet Description Q'ty Datacode Location Reg Date RFQ
RFC-8 See all 2 items KG RFC-8 datasheet DIP 45500 2020+ Instock 26-11-04
Inquiry
RFC-8 inquiry
RFCA3828 QORVO RFCA3828 datasheet 47040 2020+ Instock 26-11-04
Inquiry
RFCA3828 inquiry
RFCA8828 QORVO RFCA8828 datasheet 47040 2020+ Instock 26-11-04
Inquiry
RFCA8828 inquiry
RFCM2680 RFMD RFCM2680 datasheet 47040 2020+ Instock 26-11-04
Inquiry
RFCM2680 inquiry
RFCA3302SB RFMD RFCA3302SB datasheet 47040 2020+ Instock 26-11-04
Inquiry
RFCA3302SB inquiry
Basic
SupplierPart # Mfg Datasheet Description Q'ty Datacode Location Reg Date RFQ
MAINtron Electronics Limited. RFC3 STOCK RFC3 datasheet standard package with RoHS 45210 2016+ 1-2 days 2024-04-26
Inquiry
RFC3 inquiry
MAINtron Electronics Co.,Ltd. RFC3 STOCK RFC3 datasheet standard package with RoHS 45210 2016+ 1-2 days 2025-11-18
Inquiry
RFC3 inquiry
MicrotranikComponents,Inc RFC3 Distributor RFC3 datasheet for more pls inquire us now 163130 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC3 inquiry
RENXIM Electronics Inc RFC3 Good price RFC3 datasheet new and original package well 77330 15-16+ INSTOCK & GLOBAL 2025-11-17
Inquiry
RFC3 inquiry
ANRIC Int'l Electronics Limited RFC3 Semiconductor RFC3 datasheet RoHS Compliant 58750 14+ Can Respond ASAP 2023-10-23
Inquiry
RFC3 inquiry
Semilex Electronics [ info@semi-lex.com ] RFC3 IC RFC3 datasheet NEW RoHS and More QTY 37561 16+ STK,Prompt delivery 2025-06-18
Inquiry
RFC3 inquiry
Timicomm Electronics Limited RFC3 original RFC3 datasheet RoHS Compliant 37395 17+/18+ New Stock,Always Ready 2023-10-23
Inquiry
RFC3 inquiry
Transcrui Microcircuit Corporation RFC3 TI RFC3 datasheet Original Parts&RoHS 60690 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC3 inquiry
Evatronix(HK) Electronics Trade Inc RFC3 NS RFC3 datasheet 18+RoHS 65770 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC3 inquiry
IC Agent Electronics Ins RFC3 See all 2 items N/A RFC3 datasheet Originalnew 18000 2016+ Instock 2026-11-03
Inquiry
RFC3 inquiry
Germany Electroince Distributor GmbH RFC3 N/A RFC3 datasheet Originalnew 25000 15-16+ Originalonstock 2020-05-29
Inquiry
RFC3 inquiry
Arrow Global Co.,Ltd RFC3 N/A RFC3 datasheet Originalnew 25000 15-16+ Originalonstock 2020-01-18
Inquiry
RFC3 inquiry
ANRIC ELECTRONICS CO.,LTD. RFC3 Semiconductor RFC3 datasheet RoHS Compliant 19705 16/17+ new and original in hand 2023-11-28
Inquiry
RFC3 inquiry
European Union IC Industry Co. RFC3 In.Stock RFC3 datasheet Rohs.And.New 240000 2016 Email.To.Us 2020-07-13
Inquiry
RFC3 inquiry
Microtranik_Components.,Inc RFC3 Distributor RFC3 datasheet for more pls inquire us now 183350 17+ original instock,best quality 2026-09-29
Inquiry
RFC3 inquiry
TIMICOMM ELECTRONICS LIMITED [sales@timicomm.com] RFC3 RFC3 datasheet RoHS Compliant 37395 14+ Good,Always Ready 2025-11-02
Inquiry
RFC3 inquiry
UnitronixElectronics RFC3 ELECTRONIC RFC3 datasheet Pb-Free 25050 2014+ HOT SALE !!! 2025-08-12
Inquiry
RFC3 inquiry
FEDERAL INDUSTRY CO. RFC3 See all 2 items N/A RFC3 datasheet Originalnew 33550 2016 Instock 2026-11-03
Inquiry
RFC3 inquiry
Renxim Electronic Limited. [ sales@renxim.com ] RFC30 NEW RFC30 datasheet Original package well 78270 2016+ Globally & Immediately 2026-01-06
Inquiry
RFC30 inquiry
RENXIM Electronics Co.,Ltd. RFC30 NEW RFC30 datasheet Original package well 78270 2018+ Globally & Immediately 2025-08-02
Inquiry
RFC30 inquiry
SemiLex Electronics Inc. RFC30 IC RFC30 datasheet NEW RoHS and More QTY 40780 17+ STK,Prompt delivery 2026-09-29
Inquiry
RFC30 inquiry
LEOSNA IC TRADING CO. RFC30 Texas RFC30 datasheet NEW & Original Parts 53350 19+RoHS Stock On Hand, best quality 2023-08-14
Inquiry
RFC30 inquiry
NegoICCo. RFC30200 See all 2 items NA RFC30200 datasheet SMD 10000 2022+ INSTOCK 2026-08-21
Inquiry
RFC30200 inquiry
MicrotranikComponents,Inc RFC3070 Distributor RFC3070 datasheet for more pls inquire us now 162410 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC3070 inquiry
Transcrui Microcircuit Corporation RFC3070 TI RFC3070 datasheet Original Parts&RoHS 59970 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC3070 inquiry
Evatronix(HK) Electronics Trade Inc RFC3070 NS RFC3070 datasheet 18+RoHS 65970 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC3070 inquiry
MicrotranikComponents,Inc RFC31G0000100C Distributor RFC31G0000100C datasheet for more pls inquire us now 162390 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC31G0000100C inquiry
Transcrui Microcircuit Corporation RFC31G0000100C TI RFC31G0000100C datasheet Original Parts&RoHS 59950 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC31G0000100C inquiry
Evatronix(HK) Electronics Trade Inc RFC31G0000100C NS RFC31G0000100C datasheet 18+RoHS 66170 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC31G0000100C inquiry
MicrotranikComponents,Inc RFC31G0000150C Distributor RFC31G0000150C datasheet for more pls inquire us now 162370 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC31G0000150C inquiry
Transcrui Microcircuit Corporation RFC31G0000150C TI RFC31G0000150C datasheet Original Parts&RoHS 59930 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC31G0000150C inquiry
Evatronix(HK) Electronics Trade Inc RFC31G0000150C NS RFC31G0000150C datasheet 18+RoHS 66370 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC31G0000150C inquiry
MicrotranikComponents,Inc RFC31G0000200C Distributor RFC31G0000200C datasheet for more pls inquire us now 162350 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC31G0000200C inquiry
Transcrui Microcircuit Corporation RFC31G0000200C TI RFC31G0000200C datasheet Original Parts&RoHS 59910 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC31G0000200C inquiry
Evatronix(HK) Electronics Trade Inc RFC31G0000200C NS RFC31G0000200C datasheet 18+RoHS 66570 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC31G0000200C inquiry
MicrotranikComponents,Inc RFC31G7210100C Distributor RFC31G7210100C datasheet for more pls inquire us now 162330 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC31G7210100C inquiry
Transcrui Microcircuit Corporation RFC31G7210100C TI RFC31G7210100C datasheet Original Parts&RoHS 59890 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC31G7210100C inquiry
Evatronix(HK) Electronics Trade Inc RFC31G7210100C NS RFC31G7210100C datasheet 18+RoHS 66770 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC31G7210100C inquiry
MicrotranikComponents,Inc RFC31G7210150C Distributor RFC31G7210150C datasheet for more pls inquire us now 162310 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC31G7210150C inquiry
Transcrui Microcircuit Corporation RFC31G7210150C TI RFC31G7210150C datasheet Original Parts&RoHS 59870 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC31G7210150C inquiry
Evatronix(HK) Electronics Trade Inc RFC31G7210150C NS RFC31G7210150C datasheet 18+RoHS 66970 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC31G7210150C inquiry
MicrotranikComponents,Inc RFC31G7210200C Distributor RFC31G7210200C datasheet for more pls inquire us now 162290 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC31G7210200C inquiry
Transcrui Microcircuit Corporation RFC31G7210200C TI RFC31G7210200C datasheet Original Parts&RoHS 59850 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC31G7210200C inquiry
Evatronix(HK) Electronics Trade Inc RFC31G7210200C NS RFC31G7210200C datasheet 18+RoHS 65210 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC31G7210200C inquiry
MicrotranikComponents,Inc RFC3322RFDW Distributor RFC3322RFDW datasheet for more pls inquire us now 162270 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC3322RFDW inquiry
IC INTERNATIONAL TRADING CO. RFC3322RFDW See all 3 items Original n RFC3322RFDW datasheet ROHS 205050 12+ 2026-01-19
Inquiry
RFC3322RFDW inquiry
Transcrui Microcircuit Corporation RFC3322RFDW TI RFC3322RFDW datasheet Original Parts&RoHS 59830 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC3322RFDW inquiry
Evatronix(HK) Electronics Trade Inc RFC3322RFDW NS RFC3322RFDW datasheet 18+RoHS 65410 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC3322RFDW inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350C RAYS RFC350C datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350C inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350G RAYS RFC350G datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350G inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350L RAYS RFC350L datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350L inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350L-AZW-DNN RAYS RFC350L-AZW-DNN datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350L-AZW-DNN inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350M RAYS RFC350M datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350M inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350P RAYS RFC350P datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350P inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350Q RAYS RFC350Q datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350Q inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350R RAYS RFC350R datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350R inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350T RAYS RFC350T datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350T inquiry
LENBER ELECTRONICS INTERNATIONAL RFC350Y RAYS RFC350Y datasheet TFTDISPLAYMODULESRES:320X240SIZE:3.5 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC350Y inquiry
LENBER ELECTRONICS INTERNATIONAL RFC35C RAYS RFC35C datasheet TOUCHPANELP/N:TST0003R5I1241XXXX00 10000 15+ 3-5DAYS 2016-08-08
Inquiry
RFC35C inquiry
Renxim Electronic Limited. [ sales@renxim.com ] RFC35C1-EIW-D-000 NEW RFC35C1-EIW-D-000 datasheet Original package well 78070 2016+ Globally & Immediately 2026-01-06
Inquiry
RFC35C1-EIW-D-000 inquiry
RENXIM Electronics Co.,Ltd. RFC35C1-EIW-D-000 NEW RFC35C1-EIW-D-000 datasheet Original package well 78070 2018+ Globally & Immediately 2025-08-02
Inquiry
RFC35C1-EIW-D-000 inquiry
SemiLex Electronics Inc. RFC35C1-EIW-D-000 IC RFC35C1-EIW-D-000 datasheet NEW RoHS and More QTY 40680 17+ STK,Prompt delivery 2026-09-29
Inquiry
RFC35C1-EIW-D-000 inquiry
LEOSNA IC TRADING CO. RFC35C1-EIW-D-000 Texas RFC35C1-EIW-D-000 datasheet NEW & Original Parts 53250 19+RoHS Stock On Hand, best quality 2023-08-14
Inquiry
RFC35C1-EIW-D-000 inquiry
MicrotranikComponents,Inc RFC3750 Distributor RFC3750 datasheet for more pls inquire us now 162250 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC3750 inquiry
Transcrui Microcircuit Corporation RFC3750 TI RFC3750 datasheet Original Parts&RoHS 59810 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC3750 inquiry
Evatronix(HK) Electronics Trade Inc RFC3750 NS RFC3750 datasheet 18+RoHS 65610 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC3750 inquiry
European Union IC Industry Co. RFC399 In.Stock RFC399 datasheet Rohs.And.New 240000 2016 Email.To.Us 2020-07-13
Inquiry
RFC399 inquiry
SANKEY SHARE CO.,LIMITED RFC3K RFC3K datasheet 465987 13+ stock 2024-06-11
Inquiry
RFC3K inquiry
MAINtron Electronics Limited. RFC3K STOCK RFC3K datasheet standard package with RoHS 46110 2016+ 1-2 days 2024-04-26
Inquiry
RFC3K inquiry
ANKEY ELECTRONICS CO.,LTD RFC3K RFC3K datasheet 465987 13+ stock 2026-04-03
Inquiry
RFC3K inquiry
Shenzhen Augswan Electronics Co., LTD. RFC3K Chongqing RFC3K datasheet - 4404 21+ Stock 2023-07-25
Inquiry
RFC3K inquiry
MAINtron Electronics Co.,Ltd. RFC3K STOCK RFC3K datasheet standard package with RoHS 46110 2016+ 1-2 days 2025-11-18
Inquiry
RFC3K inquiry
WLParts Electronics ltd RFC3K CHONGQING RFC3K datasheet HIGH VOLTAGE FAST RECOVERY RECTIFIER 10000 2013+ 2021-11-11
Inquiry
RFC3K inquiry
NegoICCo. RFC3K See all 3 items XY RFC3K datasheet DO-41 10000 2022+ 2026-08-21
Inquiry
RFC3K inquiry
SANKEY SHARE CO.,LIMITED RFC3K RFC3K datasheet 465987 13+ stock 2020-04-08
Inquiry
RFC3K inquiry
SANKEY SHARE CO.,LIMITED RFC3K RFC3K datasheet 465987 13+ stock 2020-04-08
Inquiry
RFC3K inquiry
MicrotranikComponents,Inc RFC3K Distributor RFC3K datasheet for more pls inquire us now 162230 17+RoHS New instock, best quality 2026-09-29
Inquiry
RFC3K inquiry
RENXIM Electronics Inc RFC3K Good price RFC3K datasheet new and original package well 79130 15-16+ INSTOCK & GLOBAL 2025-11-17
Inquiry
RFC3K inquiry
ANRIC Int'l Electronics Limited RFC3K Semiconductor RFC3K datasheet RoHS Compliant 58750 14+ Can Respond ASAP 2023-10-23
Inquiry
RFC3K inquiry
fenkey electronics co.,ltd RFC3K RFC3K datasheet 465987 13+ stock 2026-04-03
Inquiry
RFC3K inquiry
fenyang electronics co.,ltd RFC3K RFC3K datasheet 465987 13+ stock 2026-04-03
Inquiry
RFC3K inquiry
Fengyangxin Technology ( HK ) Co.,Ltd RFC3K RFC3K datasheet 465987 13+ stock 2026-04-03
Inquiry
RFC3K inquiry
Semilex Electronics [ info@semi-lex.com ] RFC3K IC RFC3K datasheet NEW RoHS and More QTY 37461 16+ STK,Prompt delivery 2025-06-18
Inquiry
RFC3K inquiry
Shenzhen Guanrong Electronics Co., Ltd. RFC3K SUNMATE RFC3K datasheet DO-41 6262626 18+ 3days 2018-06-15
Inquiry
RFC3K inquiry
Timicomm Electronics Limited RFC3K original RFC3K datasheet RoHS Compliant 38295 17+/18+ New Stock,Always Ready 2023-10-23
Inquiry
RFC3K inquiry
HXD Electronics Company RFC3K PY RFC3K datasheet 6 20+21+ 2023-07-28
Inquiry
RFC3K inquiry
IC INTERNATIONAL TRADING CO. RFC3K See all 3 items PY RFC3K datasheet 6 21+ 2026-01-19
Inquiry
RFC3K inquiry
Transcrui Microcircuit Corporation RFC3K TI RFC3K datasheet Original Parts&RoHS 59790 2019+ NEWSTOCK,HOT SALE!!! 2024-09-23
Inquiry
RFC3K inquiry
Evatronix(HK) Electronics Trade Inc RFC3K NS RFC3K datasheet 18+RoHS 65810 18+RoHS Instock,Rush delivery 2024-09-24
Inquiry
RFC3K inquiry
IC Agent Electronics Ins RFC3K See all 3 items RFC3K datasheet DO-41 105350 20+PB Pb-Free 2026-11-03
Inquiry
RFC3K inquiry
Germany Electroince Distributor GmbH RFC3K See all 2 items N/A RFC3K datasheet Originalnew 25000 15-16+ Originalonstock 2020-05-29
Inquiry
RFC3K inquiry
Arrow Global Co.,Ltd RFC3K N/A RFC3K datasheet Originalnew 25000 15-16+ Originalonstock 2020-01-18
Inquiry
RFC3K inquiry
ANRIC ELECTRONICS CO.,LTD. RFC3K Semiconductor RFC3K datasheet RoHS Compliant 19805 16/17+ new and original in hand 2023-11-28
Inquiry
RFC3K inquiry
KANKEY ELECTRONICS CO.,LTD RFC3K RFC3K datasheet 465987 13+ stock 2026-04-03
Inquiry
RFC3K inquiry
European Union IC Industry Co. RFC3K In.Stock RFC3K datasheet Rohs.And.New 240000 2016 Email.To.Us 2020-07-13
Inquiry
RFC3K inquiry
pulkey electronics ( HK ) co.,ltd RFC3K RFC3K datasheet 465987 13+ stock 2026-04-03
Inquiry
RFC3K inquiry
SANKEY SHARE CO.,LIMITED RFC3K RFC3K datasheet 465987 13+ stock 2020-04-08
Inquiry
RFC3K inquiry
sanyinic electronics ( h k ) co.,ltd RFC3K RFC3K datasheet 465987 13+ stock 2026-03-15
Inquiry
RFC3K inquiry
Starkey Technology (H.K) Co.,Ltd RFC3K RFC3K datasheet 465987 13+ stock 2026-03-15
Inquiry
RFC3K inquiry
Macro - Yang electronic technology co., LTD RFC3K See all 2 items PY RFC3K datasheet 2010+ 228000 2010+ 2013-12-20
Inquiry
RFC3K inquiry
Microtranik_Components.,Inc RFC3K Distributor RFC3K datasheet for more pls inquire us now 183150 17+ original instock,best quality 2026-09-29
Inquiry
RFC3K inquiry
TIMICOMM ELECTRONICS LIMITED [sales@timicomm.com] RFC3K RFC3K datasheet RoHS Compliant 38295 14+ Good,Always Ready 2025-11-02
Inquiry
RFC3K inquiry
UnitronixElectronics RFC3K ELECTRONIC RFC3K datasheet Pb-Free 25950 2014+ HOT SALE !!! 2025-08-12
Inquiry
RFC3K inquiry
Utmel Electronic Limited RFC3K Original RFC3K datasheet 15000 2020-04-21
Inquiry
RFC3K inquiry
Win Source Electronic Technology Co ,Ltd RFC3K PY RFC3K datasheet DO-41 50000 +11 2016-08-17
Inquiry
RFC3K inquiry
FEDERAL INDUSTRY CO. RFC3K See all 2 items N/A RFC3K datasheet Originalnew 33550 2016 Instock 2026-11-03
Inquiry
RFC3K inquiry
雅格電子株式会社 RFC3K RFC3K datasheet ROSH 14659 14+ new & original 2021-03-25
Inquiry
RFC3K inquiry
Yiner(Shenzhen)Electronics Co., Ltd. RFC3K See all 4 items JX RFC3K datasheet 16+ROHS 989000 16+ROHS NEW ORIGINAL 2017-06-10
Inquiry
RFC3K inquiry
NegoICCo. RFC3K/3KV See all 2 items PY RFC3K/3KV datasheet DO-41 10000 2022+ 2026-08-21
Inquiry
RFC3K/3KV inquiry
NegoICCo. RFC3K3000V RFC3K3000V datasheet 10000 2026-08-21
Inquiry
RFC3K3000V inquiry
1
RFC3 Datasheet
Mfg Part # Datasheet Description
logo
NEC
RFC3261 NEC-RFC3261 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3264 NEC-RFC3264 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3265 NEC-RFC3265 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3311 NEC-RFC3311 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3325 NEC-RFC3325 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3428 NEC-RFC3428 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3515 NEC-RFC3515 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3578 NEC-RFC3578 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3665 NEC-RFC3665 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3711 NEC-RFC3711 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3842 NEC-RFC3842 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3891 NEC-RFC3891 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
logo
Chongqing Pingwei E...
RFC3K CHONGQING-RFC3K Datasheet
39Kb/1P
   HIGH VOLTAGE FAST RECOVERY RECTIFIER
RFC3K CHONGQING-RFC3K Datasheet
176Kb/1P
   0.2AMPS. HIGH VOLTAGE FAST RECOVERY RECTIFIERS
logo
GETAI ELECTRONICS D...
RFC3K GETEDZ-RFC3K Datasheet
549Kb/2P
   0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode
RFC3K GETEDZ-RFC3K Datasheet
549Kb/2P
   0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode
RFC3K GETEDZ-RFC3K Datasheet
549Kb/2P
   0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode
logo
Shanghai Shunye Ele...
RFC3K SY-RFC3K Datasheet
239Kb/1P
   HIGH VOLTAGE RECTIFIER